org.apache.ignite.ml.dataset.feature.extractor

## Class ExtractionUtils.IntCoordVectorizer<K,V>

- java.lang.Object
- - org.apache.ignite.ml.dataset.feature.extractor.Vectorizer<K,V,C,Double>
  - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.DefaultLabelVectorizer<K,V,Integer>
    - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.IntCoordVectorizer<K,V>

- Type Parameters:
    `K` - Type of key.
    `V` - Type of value.
  All Implemented Interfaces:
    Serializable, BiFunction<K,V,LabeledVector>, IgniteBiFunction<K,V,LabeledVector>, Preprocessor<K,V>, FeatureLabelExtractor<K,V,Double>
  Direct Known Subclasses:
    ExtractionUtils.ArrayLikeVectorizer
  Enclosing class:
    ExtractionUtils

      public abstract static class ExtractionUtils.IntCoordVectorizer<K,V>
      extends ExtractionUtils.DefaultLabelVectorizer<K,V,Integer>

  Vectorizer with integer coordinates.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `Vectorizer.LabelCoordinate, Vectorizer.VectorizerAdapter<K,V,C extends Serializable,L>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntCoordVectorizer(Integer... coords)` Creates an instance of Vectorizer.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.DefaultLabelVectorizer

      `label, zero`

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `allCoords, apply, createVector, exclude, extract, feature, labeled, labeled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.trainers.FeatureLabelExtractor

      `extractFeatures, extractLabel`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.Preprocessor

      `map`

    - ### Methods inherited from interface org.apache.ignite.ml.math.functions.IgniteBiFunction

      `andThen`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Constructor Detail

    - #### IntCoordVectorizer

          public IntCoordVectorizer(Integer... coords)

      Creates an instance of Vectorizer.
      Parameters:
        `coords` - Coordinates.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022